Bug 199494 - Review Request: gnu-getopt (RENAME ONLY)
Summary: Review Request: gnu-getopt (RENAME ONLY)
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Cantrell
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FC-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2006-07-19 21:09 UTC by Fernando Nasser
Modified: 2013-01-10 01:29 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-26 20:34:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Fernando Nasser 2006-07-19 21:09:01 UTC
Spec URL: same spec as the current gnu.getopt
SRPM URL: same SRPM as the current gnu.getopt
Description: same as before

This package has a '.' in the name so it is being renamed to use a '-'.

P.S.: As we are rebuilding we may take the opportunity and do an upgrade at the same time if a new version is available.

Comment 1 Jesse Keating 2006-07-19 23:29:08 UTC
You'll need to have an

Obsoletes: gnu.getopt
Provides: gnu.getopt

for proper upgrade path.

I'll have to change comps too.

Approved with the above changes.  (not looking too closely at existing spec,
thats for another day...)

Please let me know when you build it so that I can update comps (and close this bug)

Comment 2 Fernando Nasser 2006-07-20 15:47:19 UTC
Just confirming, the new release will have:

Provides:       gnu.getopt = %{epoch}:%{version}-%{release}
Obsoletes:      gnu.getopt <= 0:1.0.9

and

Provides:       gnu.getopt-javadoc = %{epoch}:%{version}-%{release}
Obsoletes:      gnu.getopt-javadoc <= 0:1.0.9

So the javadoc part also gets replaced.

Can you confirm if this is what is expected?

Thanks!



Comment 3 Jesse Keating 2006-07-20 19:07:30 UTC
actually, you can drop the epoch business.  If the epoch is 0, there is no need
to list it (nor define it if you're doing that in the spec)

Adding gnu-getopt to you as the owner.  Please let me know when you've built it
so that I can block gnu.getopt.

Comment 6 Fernando Nasser 2006-07-25 14:47:50 UTC
Built on dist-fc6

Thanks for your help!


Note You need to log in before you can comment on or make changes to this bug.